com.independentsoft.exchange

## Class PropertyTag

- java.lang.Object
- - com.independentsoft.exchange.PropertyPath
  - - com.independentsoft.exchange.ExtendedPropertyPath
    - - com.independentsoft.exchange.PropertyTag

-     public class PropertyTag
      extends ExtendedPropertyPath

  Represents the property tag.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertyTag()` Initializes a new instance of the PropertyTag class.
    `PropertyTag(int tag, MapiPropertyType type)` Initializes a new instance of the PropertyTag class.
    `PropertyTag(long tag)` Initializes a new instance of the PropertyTag class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getTag()` Gets the property tag without the type part of the tag.
    `MapiPropertyType` | `getType()` Gets the property type of a property tag.
    `boolean` | `isEqual(ExtendedPropertyPath propertyPath)` Checks if is equal.
    `void` | `setTag(int tag)` Sets the property tag without the type part of the tag.
    `void` | `setType(MapiPropertyType type)` Sets the property type of a property tag.
    `java.lang.String` | `toString()` Converts the value of the current PropertyTag object to its equivalent string representation.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PropertyTag

          public PropertyTag()

      Initializes a new instance of the PropertyTag class.

    - #### PropertyTag

          public PropertyTag(long tag)

      Initializes a new instance of the PropertyTag class.
      Parameters:
        `tag` - the tag

    - #### PropertyTag

          public PropertyTag(int tag,
                             MapiPropertyType type)

      Initializes a new instance of the PropertyTag class.
      Parameters:
        `tag` - the tag
        `type` - the type

  - ### Method Detail

    - #### isEqual

          public boolean isEqual(ExtendedPropertyPath propertyPath)

      Description copied from class: `ExtendedPropertyPath`
      Checks if is equal.
      Specified by:
        `isEqual` in class `ExtendedPropertyPath`
      Parameters:
        `propertyPath` - the property path
      Returns:
        true, if is equal

    - #### toString

          public java.lang.String toString()

      Converts the value of the current PropertyTag object to its equivalent string representation.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        the string

    - #### getTag

          public int getTag()

      Gets the property tag without the type part of the tag.
      Returns:
        the tag

    - #### setTag

          public void setTag(int tag)

      Sets the property tag without the type part of the tag.
      Parameters:
        `tag` - the new tag

    - #### getType

          public MapiPropertyType getType()

      Gets the property type of a property tag.
      Returns:
        the type

    - #### setType

          public void setType(MapiPropertyType type)

      Sets the property type of a property tag.
      Parameters:
        `type` - the new type